using NodaTime;

namespace Foxchat.Core.Federation;

public record SignatureData(
    Instant Time,
    string Host,
    string RequestPath,
    int? ContentLength,
    string? UserId
)
{
    public static readonly SignatureData Empty = new(
        Instant.MinValue,
        string.Empty,
        string.Empty,
        null,
        null
    );
}