using Newtonsoft.Json;

namespace Foxchat.Core.Models;

public static class Guilds
{
    public record Guild(
        string Id,
        string Name,
        IEnumerable<string> OwnerIds,
        [JsonProperty(NullValueHandling = NullValueHandling.Ignore)]
        IEnumerable<Channels.PartialChannel>? Channels
    );
}